> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1smsroutingsms tests



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/sms/routing/sms-tests
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/sms/routing/sms-tests:
    get:
      tags:
        - SmsTests
      operationId: sms.routing.sms-tests.index
      parameters:
        - name: page
          in: query
          schema:
            type:
              - integer
              - 'null'
        - name: per_page
          in: query
          schema:
            type:
              - integer
              - 'null'
        - name: search
          in: query
          schema:
            type: string
        - name: search_ids
          in: query
          schema:
            type: array
            items:
              type: string
              format: uuid
      responses:
        '200':
          description: Array of `SmsTestResource`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/SmsTestResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    SmsTestResource:
      type: object
      properties:
        id:
          type: string
        sms_route_id:
          type: string
        test_schedule_id:
          type:
            - string
            - 'null'
        foreign_id:
          type:
            - string
            - 'null'
        sid:
          type:
            - string
            - 'null'
        destphone:
          type:
            - integer
            - 'null'
        country_id:
          type:
            - integer
            - 'null'
        code:
          type:
            - string
            - 'null'
        mcc:
          type:
            - integer
            - 'null'
        mnc:
          type:
            - integer
            - 'null'
        network_name:
          type:
            - string
            - 'null'
        status:
          type: string
        raw_response:
          type:
            - array
            - 'null'
          items: {}
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
        sms_id:
          type:
            - string
            - 'null'
        sms_route:
          $ref: '#/components/schemas/SmsRoutingRouteResource'
        sms:
          $ref: '#/components/schemas/DataGridApiSendLogResource'
      required:
        - id
        - sms_route_id
        - test_schedule_id
        - foreign_id
        - sid
        - destphone
        - country_id
        - code
        - mcc
        - mnc
        - network_name
        - status
        - raw_response
        - created_at
        - updated_at
        - sms_id
      title: SmsTestResource
    SmsRoutingRouteResource:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        company_id:
          type: string
        company:
          $ref: '#/components/schemas/CompanyResource'
        connection:
          type: string
        is_connected:
          type:
            - boolean
            - 'null'
        connection_id:
          type:
            - string
            - 'null'
        rates_total:
          type: integer
          description: >-
            'rates' =>
            SmsRoutingRateResource::collection($this->whenLoaded('smsRouteRates')),
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        links:
          type: object
          properties:
            delete:
              type: string
              description: >-
                "edit" => action([SmsRoutingRoutesController::class, 'edit'],
                $this),

                "update" => action([SmsRoutingRoutesController::class,
                'update'], $this),
          required:
            - delete
        client_balance:
          type: number
        vendor_balance:
          type: number
        queue_info:
          type:
            - array
            - 'null'
          items: {}
      required:
        - id
        - name
        - company_id
        - is_connected
        - connection_id
        - rates_total
        - created_at
        - links
        - queue_info
      title: SmsRoutingRouteResource
    DataGridApiSendLogResource:
      type: object
      properties:
        sms_id:
          type: string
        endpoint_id:
          type: string
        sms_route_id:
          type: string
        sms_routing_plan_id:
          type: string
        client_company_id:
          type: string
        vendor_company_id:
          type: string
        foreign_id:
          type: string
        country_id:
          type: string
        source_addr:
          type: string
          description: >-
            'registered_delivery' => $this->resource['registered_delivery'],

            'esm_class' => $this->resource['esm_class'],

            'data_coding' => $this->resource['data_coding'],

            'sm_length' => $this->resource['sm_length'],

            'user_message_reference' =>
            $this->resource['user_message_reference'],

            'sar_msg_ref_num' => $this->resource['sar_msg_ref_num'],

            'sar_total_segments' => $this->resource['sar_total_segments'],

            'sar_segment_seqnum' => $this->resource['sar_segment_seqnum'],

            'payload_type' => $this->resource['payload_type'],

            'source_addr_ton' => $this->resource['source_addr_ton'],

            'source_addr_npi' => $this->resource['source_addr_npi'],

            'dest_addr_ton' => $this->resource['dest_addr_ton'],

            'dest_addr_npi' => $this->resource['dest_addr_npi'],

            'service_type' => $this->resource['service_type'],
        destination_addr:
          type: string
        message_payload:
          type: string
          description: >-
            'schedule_delivery_time' =>
            $this->resource['schedule_delivery_time'],

            'validity_period' => $this->resource['validity_period'],
        dlr_status:
          type: string
          description: |-
            'pdu' => $this->resource['pdu'],
            'error' => $this->resource['error'],
            'error_code' => $this->resource['error_code'],
        network_id:
          type: string
          description: |-
            'dlr_received' => $this->resource['dlr_received'],
            'dlr_sent' => $this->resource['dlr_sent'],
        network_brand:
          type: string
        cost:
          type: string
        profit:
          type: string
        is_sent:
          type: string
        is_clicked:
          type: string
        is_lead:
          type: string
        is_sale:
          type: string
        is_delivered:
          type: string
        created_at:
          type: string
      required:
        - sms_id
        - endpoint_id
        - sms_route_id
        - sms_routing_plan_id
        - client_company_id
        - vendor_company_id
        - foreign_id
        - country_id
        - source_addr
        - destination_addr
        - message_payload
        - dlr_status
        - network_id
        - network_brand
        - cost
        - profit
        - is_sent
        - is_clicked
        - is_lead
        - is_sale
        - is_delivered
        - created_at
      title: DataGridApiSendLogResource
    CompanyResource:
      type: object
      properties:
        id:
          type: string
        team_id:
          type: string
        name:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
        is_active:
          type: boolean
        overdraft_enabled:
          type: boolean
        overdraft_limit:
          type: integer
        client_balance:
          type: string
        vendor_balance:
          type: string
        provider_balance:
          type:
            - number
            - 'null'
        provider_balance_updated_at:
          type: string
        balance_checker:
          type: string
        endpoints_count:
          type: string
        sms_routes_count:
          type: string
        balance_checker_data:
          $ref: '#/components/schemas/BalanceCheckerData'
          description: balance_checker_data
        balance_email:
          type: string
        links:
          type: array
          items:
            type: string
          minItems: 0
          maxItems: 0
          additionalItems: false
      required:
        - id
        - team_id
        - name
        - created_at
        - updated_at
        - is_active
        - overdraft_enabled
        - overdraft_limit
        - provider_balance
        - provider_balance_updated_at
        - balance_checker
        - endpoints_count
        - sms_routes_count
        - balance_email
        - links
      title: CompanyResource
    BalanceCheckerData:
      type: object
      properties:
        balance_checker:
          $ref: '#/components/schemas/BalanceCheckerTypeEnum'
        balance_regex:
          type:
            - string
            - 'null'
        api_auth_type:
          anyOf:
            - $ref: '#/components/schemas/AuthTypeEnum'
            - type: 'null'
        api_auth_data:
          type:
            - array
            - 'null'
          items:
            type: string
        balance_endpoint_url:
          type:
            - string
            - 'null'
          format: uri
        balance_endpoint_method:
          type:
            - string
            - 'null'
          enum:
            - GET
            - POST
        balance_json_path:
          type:
            - string
            - 'null'
        notification_if_no_data_x_days:
          type:
            - integer
            - 'null'
          minimum: 1
      required:
        - balance_checker
        - balance_regex
        - api_auth_type
        - api_auth_data
        - balance_endpoint_url
        - balance_endpoint_method
        - balance_json_path
        - notification_if_no_data_x_days
      title: BalanceCheckerData
    BalanceCheckerTypeEnum:
      type: string
      enum:
        - api
        - email
        - none
      title: BalanceCheckerTypeEnum
    AuthTypeEnum:
      type: string
      enum:
        - none
        - basic
        - bearer
        - custom
      title: AuthTypeEnum
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````